import java.util.Scanner;

public class task3 {
    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);
        int year = input.nextInt();
        System.out.println(year + "年是否为闰年：" + ((year % 4 == 0) | (year % 400 == 0)));
    }
}
